@base: #663333;
@complement: darken(spin(@base, 180), 5%);   // vihreä
@lighten1: lighten(@base, 15%);    // navigaation teksti ja reunus
@lighten2: lighten(@base, 30%);    // punaiset taustat

@spacing: 10px;   // laatikoiden välissä / ympärillä
@padding: 5px;    // laatikoiden sisällä

*{
    box-sizing: border-box;
}

.container{
    max-width: 1000px;
    margin-left: auto;
    margin-right: auto;
}

.nav{
    position: fixed;
    top: 0;
    left: 0;
    z-index: 2;
    border: 2px solid @lighten1;
    width: 100%;
    color: @lighten1;
    text-align: center;
    box-shadow: 0px 1px 5px grey;
    background-color:  #ffffff;
    ul{
        list-style: none;
        text-decoration: none;
        text-align: center;
            
        li{           
            display: inline;
            a{
                text-transform: uppercase;
                text-decoration: none;
                color: @base;
                padding: @padding;
            }
        }
    }
}

.header{
    font-family: 'Lobster', cursive;
    text-align: center;
    display: block;
    margin-top: 90px;
    font-size: 25px;
    
}

.promo-box-container{
    width: 33.33%;
    float: left;
    

    .promo-box-wrapper{
        border:@spacing solid @complement;
        margin: @spacing;
        
        position: relative;
        

        .promo-box{
            background-color: @lighten2;
            padding: @padding;
            position: absolute;
            top: 0;
            left: 0;            
            z-index: 1;
            transition: opacity 2s;
            cursor: pointer;
            cursor: hand;
            width: 100%;
            height: 100%;

            &:hover{
                opacity: 0;
            }
                        
        }

        .promo-text{
            position: relative;
            background-color: @lighten2;
            padding: @padding;
            
            
        }
    }
}

.intro{
    clear: both;
    margin: @spacing;
}

.recomendation{
    background-color: @lighten2;
    width: 33%;
    float: left;
    font-style: italic;
    

    .recomendation-wrapper{
        margin: @spacing;

        h2{
            color: @complement;
            font-size: 35px;
            
        }
        
        .recomendation-author{
            text-align: right;
            color: @complement; 
            font-weight: bold;
        }
        
    }
}

 @media only screen and (max-width: 800px){

    #promo-container{
        width: 33%;
        float: right;
        background-color: aqua;
        
    }

    .promo-box-container{
        width: 100%;
        float: none;
        text-align: right;
    }

    .intro{
        width: 66%;
        
        display: inline-block;
    }
 }
